require "schoolkeep/version"
require "schoolkeep/template_names"

module Schoolkeep
  GEM_ROOT = File.expand_path("../../", __FILE__)
  API_URL = "https://api.northpass.com"
  ASSET_HOST = "https://app.northpass.com"

  class << self
    attr_writer :api_url

    def api_url
      @api_url ||= ENV["SK_API_URL"] || API_URL
    end
  end
end
