module Scribble
  module Methods
    class HideSearchBox < Method
      register :hide_search_box

      def hide_search_box
        [params.fetch(:filter, nil), params.fetch(:q, nil)].none?
      end

      private

      def params
        @receiver.variables[:params]
      end
    end
  end
end