require "i18n"

module Scribble
  module Methods
    class T < Method
      register :t, String

      def t key
        if key[0] == '.'
          key = "custom_templates.#{ template_name }#{ key }"
        end

        I18n.translate(key)
      end

      def template_name
        name = (
          @context.variables[:template_name] ||
          @receiver.variables[:template_name]
        )
        name.split(".").first
      end
    end
  end
end
