require "schoolkeep"
require "erb"
require "schoolkeep/fixture"

module Schoolkeep
  module Views
    class ColorScheme
      def initialize(name)
        @_name = name
        @color_scheme = Fixture.for("styles.css.sktl")[:color_palette]
      end

      def render
        css_path = File.join(GEM_ROOT, "config/#{@_name}.css.erb")
        ERB.new(File.read(css_path), nil, "-").result(binding)
      end
    end
  end
end
