module Scribble
  module Methods
    class NoFilterSelectedClass < Method
      ACTIVE_CSS_CLASS = "uk-text-bold".freeze

      register :no_filter_selected_class

      def no_filter_selected_class
        ACTIVE_CSS_CLASS unless filter_parameter
      end

      private

      def filter_parameter
        @receiver.variables[:params].fetch(:filter, nil)
      end
    end
  end
end
